Учебники (How-To & F.A.Q)
   1234

Решение проблем при обновлениях

Разработчики Manjaro Linux дают собственные рецепты решения проблем, временами возникающих после обновлений. Ниже дан перевод решений, помещаемых разработчиками в анонсах каждого обновления на главном форуме. Топик будет периодически дополнятся. (Jacobtey)

Отключение случайного выбора mac-адреса в беспроводных сетях

Воспользуйтесь nmcli, чтобы навсегда отключить 802-11-wireless.mac-address-randomization для каждого подключения в отдельности или установите
[device]
wifi.scan-rand-mac-address=no

в /etc/NetworkManager/NetworkManager.conf, чтобы полностью отключить данную функцию.

Проблемы с обновлением MATE

Некоторые пользователи устанавливали mate-menu из AUR. Удалите этот пакет, если использовалась GTK2-версия MATE перед тем, как обновляться.

LibreOffice и GTK3

LibreOffice иногда имеет проблемы с запуском в рабочих окружениях, основанных на gtk. Временным решением, позволяющим взглянуть на Libreoffice, может стать редактирование /etc/profile.d/libreoffice*sh. Рекомендуется раскомментировать строку
SAL_USE_VCLPLUGIN=gtk
KDE редакция лишена такой проблемы.

GTK3

Обновление Gnome и GTK до версии 3.20 поломало кучу тем оформления, которые будут исправлены, если и когда разработчики найдут на это время. Некоторые GTK 3.20-совместимые темы уже готовы — см. далее по тексту.

Новая GTK тема по-умолчанию в Manjaro, совместимая с GTK 3.20, Vertex-Maia

Установить ее можно так:

sudo pacman -Sy vertex-maia-themes vertex-maia-icon-theme xcursor-maia

Пользователям KDE нужно использовать дефолтную тему Maia:

sudo pacman -Sy maia-icon-theme gtk-theme-maia plasma5-themes-maia xcursor-maia


Оформление приложений на QT с помощью GTK — только для тех, кто использует рабочие окружения, отличные от KDE!

Если у вас установлен QT версии 5.7, вам нужно установить qt5-styleplugins и qt5ct и настроить свою систему, чтобы снова привести ее внешний вид к единообразию.

ufw

Если возникают проблемы с тем, что ufw больше не работает, нужно перенести правила в другую папку. Сделать это можно так:
sudo cp -v /usr/lib/ufw/user.rules.pacsave /etc/ufw/user.rules
sudo cp -v /usr/lib/ufw/user6.rules.pacsave /etc/ufw/user6.rules


steam

Steam может не заработать из-за несовместимости с libgpg. Можно попробовать решить эту проблему запуском следующего:
find ~/.steam/root/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" -o -name "libgpg-error.so*" \) -print -delete

find ~/.local/share/Steam/ \( -name "libgcc_s.so*" -o -name "libstdc++.so*" -o -name "libxcb.so*" -o -name "libgpg-error.so*" \) -print -delete

8 комментариев

avatar
Блин трындец системе после обновления((( После перезагрузки заставка Manjaro и чёрный экран
(Manjaro-XFCE)
Последний раз редактировалось
?
Manjaro-17 XFCE (x64)
0
avatar
Realtek RTL8111F, с ядром 4.8.1 не коннектится в сеть. Откатился на LTS.
Последний раз редактировалось
0
avatar
Решилось комментированием blacklist r8169 в /etc/modprobe.d/r8169_blacklist.conf.
0
avatar
А как можно откатиться на LTS?
Или хотя бы отменить последнее обновление?
0
avatar
Gambit_VKM имел в виду LTS версию ядра. Откатиться — немного не верное слово. Его нужно выбрать при загрузке, а лишние ядра удалить за ненадобностью. А после манипуляций:
<code>update-grub</code>
для уверенности.
?
ИССЛЕДОВАТЕЛЬ РЕСУРСОВ

Не забудьте выключить телевизор!
0
avatar
У меня установлено 2 ядра, версии 4.4.24-1 и 4.1.33-1.
Какая из них LTS?
0
avatar
Оба LTS, но 4.4.24-1 — рекомендован к использованию разработчиками Manjaro.
Откройте manjaro-settings-manager, раздел Kernel, и все увидите.
?
ИССЛЕДОВАТЕЛЬ РЕСУРСОВ

Не забудьте выключить телевизор!
+1
avatar
Проблема с аплетом «Клавиатура». Не включается. Удалил из панели, обратно не ставится.
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.